> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Get all strategies

GET https://app.unleash-instance.example.com/api/admin/strategies

Retrieves all strategy types ([predefined](https://docs.getunleash.io/concepts/activation-strategies "predefined strategies") and [custom strategies](https://docs.getunleash.io/concepts/activation-strategies#custom-strategies)) that are defined on this Unleash instance.

Reference: https://docs.getunleash.io/api/get-all-strategies

## Authentication

- `Authorization` header (required) — API key needed to access this API
- `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format

## Response

### 200

strategiesSchema

- `version` (enum, required) — Version of the strategies schema
  - Allowed values: `1`
- `strategies` (list of object, required) — List of strategies
  - `name` (string, required) — The name (type) of the strategy
  - `displayName` (string, required, nullable) — A human friendly name for the strategy
  - `description` (string, required, nullable) — A short description of the strategy
  - `editable` (boolean, required) — Whether the strategy can be edited or not. Strategies bundled with Unleash cannot be edited.
  - `deprecated` (boolean, required)
  - `parameters` (list of object, required) — A list of relevant parameters for each strategy
    - `name` (string, optional)
    - `type` (string, optional)
    - `description` (string, optional)
    - `required` (boolean, optional)
  - `title` (string, optional, nullable) — An optional title for the strategy

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "version": 1,
  "strategies": [
    {
      "name": "flexibleRollout",
      "displayName": "Gradual Rollout",
      "description": "Gradual rollout to logged in users",
      "editable": true,
      "deprecated": false,
      "parameters": [
        {
          "name": "percentage",
          "type": "percentage",
          "description": "Percentage of users to activate the feature for",
          "required": true
        },
        {
          "name": "groupId",
          "type": "string",
          "description": "Identifier for the user group to target",
          "required": false
        }
      ],
      "title": "GradualRollout - Prod25"
    },
    {
      "name": "userWithId",
      "displayName": "User With ID",
      "description": "Enable feature for specific user IDs",
      "editable": false,
      "deprecated": false,
      "parameters": [
        {
          "name": "userIds",
          "type": "list",
          "description": "Comma separated list of user IDs",
          "required": true
        }
      ],
      "title": "UserWithId"
    },
    {
      "name": "remoteAddress",
      "displayName": "Remote Address",
      "description": "Enable feature for specific IP addresses",
      "editable": false,
      "deprecated": false,
      "parameters": [
        {
          "name": "IPs",
          "type": "list",
          "description": "Comma separated list of IP addresses",
          "required": true
        }
      ],
      "title": "RemoteAddress"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/strategies"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/strategies';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/strategies"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/strategies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.unleash-instance.example.com/api/admin/strategies")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.unleash-instance.example.com/api/admin/strategies', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/strategies");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/strategies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```